Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.comadapter.taskprocessor
Class ProcessorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.stc.connector.comadapter.taskprocessor.ProcessorException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TaskException, ThreadPoolException, WorkerException, WorkPlaceException

    public class ProcessorException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`ProcessorException(java.lang.String msg)`
`ProcessorException(java.lang.String msg, java.lang.Throwable initCause)`

Method Summary
`java.lang.Throwable` | `getCause()`
`java.lang.String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessorException

    public ProcessorException(java.lang.String msg,
                              java.lang.Throwable initCause)

Parameters:
  `msg` - This is the description message about what happened.
  `initCause` - This is the Throwable which caused the exception.

### ProcessorException

    public ProcessorException(java.lang.String msg)

Parameters:
  `msg` - This is the description message about what happened.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getCause

    public java.lang.Throwable getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Sun Microsystems, Inc. All rights reserved.